<?php
/**
 * Plugin Name: Päivitä tilauksen tuotteiden hinnat 
 * Description: Kun lisäosa on aktiivinen, se hakee tilausrivien hinnat tuotteista kun tilaukselta painaa 'Laske uudelleen'.
 * Version: 1.0
 * Author: Kargo Oy / Anttoni Niemenmaa
 * Author URI: https://www.woovisor.fi
 * License: GPL2
 * License URI: https://www.gnu.org/licenses/gpl-2.0.html
 */

/**
  * Add action that updates prices for products in the order before calculating totals.
  */
  add_action('woocommerce_order_before_calculate_totals', function( $taxes, $order) {
    // Get all items in the order
    $items = $order->get_items();

    // Loop through each item
    foreach ($items as $item) {
        // Get the product ID
        $product_id = $item->get_product_id();

        // Get the product
        $product = wc_get_product($product_id);

        if( ! $product ) {
            continue;
        }

        // Get the price without tax
        $price_without_tax = $product->get_price_excluding_tax($item->get_quantity());

        // Update the price
        $item->set_subtotal($price_without_tax);
        $item->set_total($price_without_tax);
    }
 }, 10, 2);